Skip to main content
POST
Find available deals

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Use the /api/login endpoint to obtain a token.

Query Parameters

page
integer

Page number

Example:

1

limit
integer

Items per page

Example:

10

page_limit
integer

Alias for limit

Example:

10

Body

application/json
sort_order
enum<string> | null
Available options:
name_asc,
name_desc,
pay_high,
pay_low,
invited,
recommended,
location_nearest
Example:

"invited"

invited_only
enum<string> | null
Available options:
Yes,
No
Example:

"No"

school_specific
enum<string> | null
Available options:
Yes,
No
Example:

"No"

filterByMinPrice
number | null
Example:

100

filterByMaxPrice
number | null
Example:

10000

filterCategory
integer[] | null

Category IDs

Example:
filterByLocation
string | null
Example:

null

filterByPaymentMode
enum<string> | null
Available options:
Cash,
Product
Example:

null

filterByJobTitle
string[] | null

Exact job title match

Example:
filterByLatLong
number[] | null

[longitude, latitude]

Example:
filterByDistanceInMiles
number | null
Example:

25

allow_private
string | null
Example:

"Y"

job_id
integer | null

Filter to a single job

Example:

1

serviceId
integer | null

Filter to a fan service request

Example:

1

type
string | null

Filter type

Example:

"All"

athlt_university_id
integer | null

Athlete university ID

Example:

1

Response

200

Available deals